Subject: bug#60021: 29.0.60; Eshell completion errors in the presence of buffer redirects

From: Daniel Mendler <[email-masked]>
Date: Tue, 20 Dec 2022 07:45:55 +0100

On 12/19/22 23:24, Gregory Heytings wrote:
> Daniel, can you please try the attached patch and tell us if it fixes the 
> issue without introducing regressions?

Thanks for looking into this!

I inspected the patch and it seems like a reasonable fix for the
problem. I wonder about the introduction of the `pcomplete-arg-value'
string property. Is the introduction of this property necessary? Do you
have a use case for this right now?

If the recipes of #59956 and #60021 are fixed by this on your setup, I
trust it will work properly on my setup. No reason for additional
testing on my side.